# MST_CHECK_LIB_PCRE
# ------------------
# Create PCRE_CFLAGS and PCRE_LIBS
#
# First try pkg-config, then pcre-config
AC_DEFUN([MST_CHECK_LIB_PCRE],[
PKG_CHECK_EXISTS( [libpcre], 
		 [ PKG_CHECK_MODULES([PCRE], [libpcre] ) 
		 ],
		 [ 
		   AC_PATH_TOOL([PCRE_CONFIG],[pcre-config])
		   if test x"$PCRE_CONFIG" = x ; then
		     AC_MSG_ERROR([no])
		   else
		     PCRE_CFLAGS=`$PCRE_CONFIG --cflags`
		     PCRE_LIBS=`$PCRE_CONFIG --libs`
		     AC_MSG_RESULT([ok])
		   fi
		 ] )
])
